Skip to navigation

Place multiple orders

Place orders in batches. Maximum 20 orders can be placed per request. Request parameters should be passed in the form of an array. Orders will be placed in turn

Authentication

OK-ACCESS-KEYstring
Your API key.
OK-ACCESS-SIGNstring

Base64-encoded HMAC-SHA256 signature of the prehash string.

OK-ACCESS-TIMESTAMPstring

ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.

OK-ACCESS-PASSPHRASEstring
The passphrase you set when creating the API key.

Request

This endpoint expects an object.
instIdstringRequired

Instrument ID, e.g. BTC-USDT

tdModeenumRequired

Trade mode Margin mode cross isolated Non-Margin mode cash spot_isolated (only applicable to SPOT lead trading, tdMode should be spot_isolated for SPOT lead trading.) Note: isolated is not available in multi-currency margin mode and portfolio margin mode. Event contracts symbols only support isolated

Allowed values:
sideenumRequired

Order side buy sell

Allowed values:
ordTypeenumRequired

Order type market: Market order, only applicable to SPOT/MARGIN/FUTURES/SWAP limit: Limit order post_only: Post-only order fok: Fill-or-kill order ioc: Immediate-or-cancel order optimal_limit_ioc: Market order with immediate-or-cancel order (applicable only to Expiry Futures and Perpetual Futures). mmp: Market Maker Protection (only applicable to Option in Portfolio Margin mode) mmp_and_post_only: Market Maker Protection and Post-only order(only applicable to Option in Portfolio Margin mode) rpi: Retail Price Improvement order elp: Enhanced Liquidity Program order (Deprecated; use rpi. Accepted until October 31, 2026.)

szstringRequired
Quantity to buy or sell
pxstringOptional

Order price. Only applicable to limit,post_only,fok,ioc,mmp,mmp_and_post_only order. When placing an option order, one of px/pxUsd/pxVol must be filled in, and only one can be filled in

clOrdIdstringOptional

Client Order ID as assigned by the client A combination of case-sensitive alphanumerics, all numbers, or all letters of up to 32 characters.

tagstringOptional

Order tag A combination of case-sensitive alphanumerics, all numbers, or all letters of up to 16 characters.

posSideenumOptional

Position side The default is net in the net mode It is required in the long/short mode, and can only be long or short. Only applicable to FUTURES/SWAP.

Allowed values:
ccystringOptional

Margin currency Applicable to all isolated MARGIN orders and cross MARGIN orders in Futures mode.

reduceOnlybooleanOptional

Whether the order can only reduce position size. Valid options: true or false. The default value is false. Only applicable to MARGIN orders, and FUTURES/SWAP orders in net mode Only applicable to Futures mode and Multi-currency margin

tgtCcyenumOptional

Order quantity unit setting for sz base_ccy: Base currency ,quote_ccy: Quote currency Only applicable to SPOT Market Orders Default is quote_ccy for buy, base_ccy for sell

Allowed values:

Response

Successful response
codestringOptional

Result code. 0 means success; any other value is an error code.

msgstringOptional
Error message. Empty on success.
datalist of objectsOptional